> For the complete documentation index, see [llms.txt](https://docs.chatlayer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatlayer.ai/buildabot/tips-and-best-practices/route-your-flow-depending-on-the-channel.md).

# Route your flow depending on the channel

Use a Condition block to route your flow depending on the channel that your customer is using.

## Multi-channel

Chatlayer.ai allows you to connect one bot to multiple channels at the same time.

If you want your users to follow a different flow based on the channel they are using, you can use our multi-channel functionality. To do this, add a [Go To](/buildabot/flow-logic/dialog-state/plugins.md) to the point in your flow where you wish to diverge, based on the channel.

Within this 'Go To', guide the user based on the `internal.channel` variable, which contains the channel variable. In the image below you can see a bot that is connected to Facebook Messenger and Web chat; in order to offer the best experience in each channel, it diverts the users to the channel-specific flow by creating a condition: if internal.channel variable equals "facebook", create a 'Go To' to the Facebook flow; if not (else if), create a 'Go To' to the Web flow:

![](https://2786867680-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LLTwFwbOqJj4dDhg8Ju%2Fuploads%2FCwDZ0mI7WYDET0XLZNdw%2Fimage.png?alt=media\&token=f7f02654-9ba9-447c-9cd7-ad46a53f5f72)

The values for `internal.channel` correspond to the channel names:

| Channel name                                                                                                   | values for internal.channel |
| -------------------------------------------------------------------------------------------------------------- | --------------------------- |
| All channels managed through the Sinch Conversation API (SMS, RCS, WhatsApp, Viber, Instagram, Telegram, LINE) | sinchConversationAPI        |
| Amazon                                                                                                         | amazon                      |
| App integration channel (at the moment: Freshdesk Messaging webchat)                                           | AppIntegrationChannel       |
| Chat widget                                                                                                    | web                         |
| Facebook Messenger                                                                                             | facebook                    |
| Facebook Workplace                                                                                             | facebookWorkplace           |
| Google Home                                                                                                    | googleHome                  |
| Intercom                                                                                                       | intercom                    |
| Phone (through legacy CM.com)                                                                                  | cmPhone                     |
| Sinch Contact Pro                                                                                              | SinchInboxBotChannel        |
| Sinch Voice                                                                                                    | SinchVoiceBotChannel        |
| Sparkcentral                                                                                                   | SparkcentralBotChannel      |
| Voice (through legacy CM.com)                                                                                  | voice                       |
| Webhook                                                                                                        | webHook                     |
| Whatsapp (through legacy CM WhatsApp)                                                                          | whatsapp                    |
| WhatsApp through ACL                                                                                           | ACLWhatsappBotChannel       |
| WhatsApp through Wavy                                                                                          | WavyWhatsappBotChannel      |
| Zendesk                                                                                                        | ZendeskChatBotChannel       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chatlayer.ai/buildabot/tips-and-best-practices/route-your-flow-depending-on-the-channel.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
